Summary:	Tool that generates a compilation database for clang tooling
Summary(pl.UTF-8):	Narzędzie generujące bazę danych kompilacji do obróbki clanga
Name:		bear
Version:	3.1.5
Release:	1
License:	GPL v3+
Group:		Development/Building
Source0:	https://github.com/rizsotto/Bear/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6dcb3f96ed8cce49151f57e04a51797a
URL:		https://github.com/rizsotto/Bear
BuildRequires:	cmake >= 3.13
BuildRequires:	gmock-devel >= 1.10
BuildRequires:	grpc-devel >= 1.26
BuildRequires:	gtest-devel >= 1.10
BuildRequires:	libfmt-devel >= 6.1
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	nlohmann-json-devel >= 3.7.3
BuildRequires:	pkgconfig
BuildRequires:	protobuf-devel >= 3.11
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	spdlog-devel >= 1.5.0
Requires:	grpc >= 1.26
Requires:	libfmt >= 6.1
Requires:	protobuf-libs >= 3.11
Requires:	spdlog >= 1.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The JSON compilation database is used in the clang project to provide
information on how a single compilation unit is processed. With this,
it is easy to re-run the compilation with alternate programs.

Some build systems natively support generation of JSON compilation
database. For projects which do not use such build tool, Bear
generates the JSON file during build process.

%description -l pl.UTF-8
Baza danych kompilacji w formacie JSON służy w projekcie clang do
dostarczania informacji o sposobie przetwarzania jednostki kompilacji.
Przy użyciu takiej bazy można łatwo ponownie uruchomić kompilację przy
użyciu alternatywnych programów.

Niektóre systemu budowania natywnie obsługują generowanie bazy danych
kompilacji w formacie JSON. W przypadku projektów nie używających
takiego narzędzia do budowania Bear potrafi wygenerować plik JSON w
trakcie procesu budowania.

%prep
%setup -q -n Bear-%{version}

%build
export CC="%{__cc}"
export CXX="%{__cxx}"
export CFLAGS="%{rpmcflags}"
export CXXFLAGS="%{rpmcxxflags}"
export CPPFLAGS="%{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"
%cmake -B build \
	-DCMAKE_INSTALL_BINDIR=%(realpath -m "--relative-to=%{_prefix}" "%{_bindir}") \
	-DCMAKE_INSTALL_LIBDIR=%(realpath -m "--relative-to=%{_prefix}" "%{_libdir}")

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.md README.md
%attr(755,root,root) %{_bindir}/bear
%dir %{_libdir}/bear
%attr(755,root,root) %{_libdir}/bear/libexec.so
%attr(755,root,root) %{_libdir}/bear/wrapper
%dir %{_libdir}/bear/wrapper.d
%attr(755,root,root) %{_libdir}/bear/wrapper.d/*
%{_mandir}/man1/bear.1*
%{_mandir}/man1/bear-citnames.1*
%{_mandir}/man1/bear-intercept.1*
%changelog
* Thu Sep 26 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bear.git;a=log;h=master

* Thu Sep 26 2024 Jan Palus <atler@pld-linux.org> 2cd776c
- up to 3.1.5

* Sun Sep 22 2024 Jakub Bogusz <qboosh@pld-linux.org> 24edc33
- release 2 (protobuf 3.20)

* Sat May 18 2024 Jan Palus <atler@pld-linux.org> b04e59a
- up to 3.1.4

* Tue Aug 29 2023 Jan Palus <atler@pld-linux.org> cba1805
- up to 3.1.3

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 5f1487c
- added libfmt patch to support libfmt 10+; release 2

* Sat Apr 22 2023 Jan Palus <atler@pld-linux.org> 335b14d
- up to 3.1.2

* Thu Apr 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 99e90e2
- release 2 (abseil+grpc+spdlog sonames change)

* Thu Apr 06 2023 Jakub Bogusz <qboosh@pld-linux.org> dff3602
- pl

* Sun Feb 19 2023 Jan Palus <atler@pld-linux.org> 9fd1d2c
- up to 3.1.1

* Sat Feb 11 2023 Jan Palus <atler@pld-linux.org> f7b5a7c
- up to 3.1.0

* Wed Dec 28 2022 Jan Palus <atler@pld-linux.org> b74f258
- up to 3.0.21

* Wed Nov 16 2022 Jan Palus <atler@pld-linux.org> 0522018
- new

